Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class GenCache

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenCache

Direct Known Subclasses:
  RequestCache, URLCache

public class GenCache
extends java.lang.Object

Field Summary
`protected java.lang.String` | `kLineBreak`
`protected long` | `mCurrentSize`
`protected long` | `mDefaultExpire`
`protected boolean` | `mDynamicMaintanence`
`protected java.util.Hashtable` | `mIndex`
`protected CacheLog` | `mLog`
`protected long` | `mMaxSize`
`protected boolean` | `mRecycle`

Constructor Summary
`GenCache(long l, boolean flag, long l1, CacheLog cachelog)`

Method Summary
`protected void` | `dispose()`
`protected boolean` | `existsCacheEntry(GenCacheEntry gencacheentry)`
`protected void` | `expireCacheEntries()`
`protected void` | `finalize()`
`protected long` | `freeCacheItems(int i)`
`protected long` | `freeCacheSpace(long l)`
`protected java.lang.Object` | `getCacheValue(java.lang.Object obj)`
`long` | `getDefaultExpire()`
`boolean` | `getLock()`
`long` | `getMaxSize()`
`boolean` | `getRecycle()`
`protected java.lang.String` | `getResString(java.lang.String s)`
`boolean` | `isCacheEnabled()`
`protected boolean` | `isCacheEntryExpired(GenCacheEntry gencacheentry)`
`protected void` | `logCacheMessage(java.lang.String s, int i)`
`void` | `logHitCounts()`
`void` | `purge()`
`protected void` | `removeCacheEntry(GenCacheEntry gencacheentry)`
`protected void` | `removeCacheValue(java.lang.Object obj)`
`protected boolean` | `setCacheEntry(GenCacheEntry gencacheentry)`
`protected boolean` | `setCacheValue(java.lang.Object obj, java.lang.Object obj1, long l, long l1)`
`void` | `setDefaultExpire(long l)`
`void` | `setLock(boolean flag)`
`void` | `setMaxSize(long l)`
`void` | `setRecycle(boolean flag)`
`protected boolean` | `verifyCacheValue(GenCacheEntry gencacheentry)`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mIndex

    protected java.util.Hashtable mIndex

### mCurrentSize

    protected long mCurrentSize

### mLog

    protected CacheLog mLog

### kLineBreak

    protected final java.lang.String kLineBreak

### mMaxSize

    protected long mMaxSize

### mRecycle

    protected boolean mRecycle

### mDefaultExpire

    protected long mDefaultExpire

### mDynamicMaintanence

    protected boolean mDynamicMaintanence

Constructor Detail

### GenCache

    public GenCache(long l,
                    boolean flag,
                    long l1,
                    CacheLog cachelog)

Method Detail

### dispose

    protected void dispose()

### existsCacheEntry

    protected boolean existsCacheEntry(GenCacheEntry gencacheentry)

### expireCacheEntries

    protected void expireCacheEntries()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### freeCacheItems

    protected long freeCacheItems(int i)

### freeCacheSpace

    protected long freeCacheSpace(long l)

### getCacheValue

    protected java.lang.Object getCacheValue(java.lang.Object obj)

### getDefaultExpire

    public long getDefaultExpire()

### getLock

    public boolean getLock()

### getMaxSize

    public long getMaxSize()

### getRecycle

    public boolean getRecycle()

### getResString

    protected java.lang.String getResString(java.lang.String s)

### isCacheEnabled

    public boolean isCacheEnabled()

### isCacheEntryExpired

    protected boolean isCacheEntryExpired(GenCacheEntry gencacheentry)

### logCacheMessage

    protected void logCacheMessage(java.lang.String s,
                                   int i)

### logHitCounts

    public void logHitCounts()

### purge

    public void purge()

### removeCacheEntry

    protected void removeCacheEntry(GenCacheEntry gencacheentry)

### removeCacheValue

    protected void removeCacheValue(java.lang.Object obj)

### setCacheEntry

    protected boolean setCacheEntry(GenCacheEntry gencacheentry)

### setCacheValue

    protected boolean setCacheValue(java.lang.Object obj,
                                    java.lang.Object obj1,
                                    long l,
                                    long l1)

### setDefaultExpire

    public void setDefaultExpire(long l)

### setLock

    public void setLock(boolean flag)

### setMaxSize

    public void setMaxSize(long l)

### setRecycle

    public void setRecycle(boolean flag)

### verifyCacheValue

    protected boolean verifyCacheValue(GenCacheEntry gencacheentry)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD